<img src="https://raw.githubusercontent.com/JuliaMolSim/DFTK.jl/master/docs/logo/DFTK_750x250.png" alt="dftk logo" height="100px" />

# Density-functional toolkit

| **Documentation**                                       | **Build Status**                                       |  **License**                     |
|:------------------------------------------------------- |:------------------------------------------------------ |:-------------------------------- |
| [![][docs-img]][docs-url] [![][gitter-img]][gitter-url] | [![][travis-img]][travis-url] [![][cov-img]][cov-url]  | [![][license-img]][license-url]  |

[docs-img]: https://img.shields.io/badge/docs-dev-blue.svg
[docs-url]: https://juliamolsim.github.io/DFTK.jl/dev

[gitter-img]: https://badges.gitter.im/DFTK-jl/community.svg
[gitter-url]: https://gitter.im/DFTK-jl/community

[travis-img]: https://travis-ci.org/JuliaMolSim/DFTK.jl.svg?branch=master
[travis-url]: https://travis-ci.org/JuliaMolSim/DFTK.jl

[cov-img]: https://coveralls.io/repos/JuliaMolSim/DFTK.jl/badge.svg?branch=master&service=github
[cov-url]: https://coveralls.io/github/JuliaMolSim/DFTK.jl?branch=master

[license-img]: https://img.shields.io/github/license/JuliaMolSim/DFTK.jl.svg?maxAge=2592000
[license-url]: https://github.com/JuliaMolSim/DFTK.jl/blob/master/LICENSE

The density-functional toolkit, **DFTK** for short, is a library of
Julia routines for experimentation with plane-wave
density-functional theory (DFT), as implemented in much larger
production codes such as [Abinit](https://www.abinit.org/),
[Quantum Espresso](http://quantum-espresso.org/) and
[VASP](https://www.vasp.at/).

The unique feature of this code is its emphasis on simplicity and flexibility
with the goal of facilitating methodological development and
interdisciplinary collaboration.
In about 5k lines of pure Julia code we already support a
[sizeable set of features](https://juliamolsim.github.io/DFTK.jl/dev/index.html#package-features-1),
after just a good year of development.
Our performance is of the same order of magnitude as established packages.

For getting started with DFTK, see our documentation:
- [Installation instructions](https://juliamolsim.github.io/DFTK.jl/dev/guide/installation/)
- [Tutorial](https://juliamolsim.github.io/DFTK.jl/dev/guide/tutorial/)
- [Examples](https://juliamolsim.github.io/DFTK.jl/dev/#example-index-1)

Note that at least **Julia 1.3** is required.

## Citation
[![DOI](https://zenodo.org/badge/181734238.svg)](https://zenodo.org/badge/latestdoi/181734238)

## Funding
This project has received funding from
the [Institute of computing and data sciences (ISCD, Sorbonne Université)](https://iscd.sorbonne-universite.fr/),
[École des Ponts ParisTech](https://enpc.fr), [Inria Research Centre Paris](https://www.inria.fr/fr/centre-inria-de-paris)
and from the European Research Council (ERC) under the European Union's Horizon 2020 research and
innovation program ([grant agreement No 810367](https://cordis.europa.eu/project/id/810367)).

## Contact
Feel free to contact us ([@mfherbst](https://github.com/mfherbst) and [@antoine-levitt](https://github.com/antoine-levitt))
directly, open issues or submit pull requests. Any contribution or discussion is welcome!
